gentoo.LinuxHowtos.org
When I emerge gcc (both versions 3.3.5-r1 and 3.4.3.20050110) the g++ binaries are not built, but the emerge completes sucessfully.
Fix/Answer
Index: eclass/toolchain.eclass===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v
retrieving revision 1.127
diff -u -r1.127 toolchain.eclass
--- eclass/toolchain.eclass 16 Mar 2005 06:35:22 -0000 1.127
The portage tree should be updated by now, sync and try to remerge gcc.
Or use the following patch and remerge gcc.
+++ eclass/toolchain.eclass 16 Mar 2005 16:25:15 -0000
@@ -1942,7 +1942,7 @@
}
is_cxx() {
- gcc-lang-supported cxx || return 1
+ gcc-lang-supported 'c++' || return 1
use build && return 1
use ! nocxx
}
Description:
current rating: no votes yet
Your rating: